Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.cmd
Class BooleanOption

    java.lang.Object
      oracle.ifs.utils.cmd.BooleanOption

All Implemented Interfaces:
  CmdLineOption

    public class BooleanOption

extends java.lang.Object
implements CmdLineOption

The `BooleanOption` class models a command line option that is either present (true) or not present (false). Includes options like: `-hello`, `-e`, and `-a`. Here, the option keys are "hello", "e", and "a", respectively.

See Also:
  `OptionParser`
Modified:
  jbaccash 07/26/2000 Created.

Field Summary
`boolean` | `value` true iff option is present on command line.

Constructor Summary
`BooleanOption(java.lang.String key)` Creates a new boolean option.

Method Summary
`java.lang.String` | `getKey()` Returns the string that the `OptionParser` seeks on the command line in association with the `CmdLineOption`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public boolean value

  Description copied from class: `BooleanOption`
  true iff option is present on command line.

Constructor Detail

### BooleanOption

    public BooleanOption(java.lang.String key)

  Creates a new boolean option. Single-letter boolean options can be clumped, as in
  `ls -al`
  which is equivalent to
  `ls -a -l`

  Parameters:
    `key` - what the user types to set the option.
  See Also:
    `BooleanOption.getKey()`

Method Detail

### getKey

    public java.lang.String getKey()

  Description copied from interface: `CmdLineOption`
  Returns the string that the `OptionParser` seeks on the command line in association with the `CmdLineOption`. Initial '-' not included.

  Specified by:
    `getKey` in interface `CmdLineOption`
  See Also:
    `OptionParser`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD